org.apache.ignite.internal.sql

## Enum SqlLexerTokenType

- java.lang.Object
- - java.lang.Enum<SqlLexerTokenType>
  - - org.apache.ignite.internal.sql.SqlLexerTokenType

All Implemented Interfaces:
  Serializable, Comparable<SqlLexerTokenType>

    public enum SqlLexerTokenType
    extends Enum<SqlLexerTokenType>

Lexer token type.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COMMA` Comma.
`DEFAULT` Standard word.
`DOT` Dot.
`EOF` End of string.
`MINUS` Minus sign.
`PARENTHESIS_LEFT` Parenthesis: left.
`PARENTHESIS_RIGHT` Parenthesis: right.
`QUOTED` Quoted phrase.
`SEMICOLON` Semicolon.
`STRING` Quoted string constant.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Character` `asChar()`
`String` `asString()`
`static SqlLexerTokenType` `forChar(char c)` Get token type for character.
`static SqlLexerTokenType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SqlLexerTokenType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DEFAULT

    public static final SqlLexerTokenType DEFAULT

Standard word.

#### QUOTED

    public static final SqlLexerTokenType QUOTED

Quoted phrase.

#### STRING

    public static final SqlLexerTokenType STRING

Quoted string constant.

#### MINUS

    public static final SqlLexerTokenType MINUS

Minus sign.

#### DOT

    public static final SqlLexerTokenType DOT

Dot.

#### COMMA

    public static final SqlLexerTokenType COMMA

Comma.

#### PARENTHESIS_LEFT

    public static final SqlLexerTokenType PARENTHESIS_LEFT

Parenthesis: left.

#### PARENTHESIS_RIGHT

    public static final SqlLexerTokenType PARENTHESIS_RIGHT

Parenthesis: right.

#### SEMICOLON

    public static final SqlLexerTokenType SEMICOLON

Semicolon.

#### EOF

    public static final SqlLexerTokenType EOF

End of string.

### Method Detail

#### values

    public static SqlLexerTokenType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SqlLexerTokenType c : SqlLexerTokenType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SqlLexerTokenType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### forChar

    public static SqlLexerTokenType forChar(char c)

Get token type for character.

Parameters:
  `c` - Character.
Returns:
  Type.

#### asChar

    public Character asChar()

Returns:
  Character.

#### asString

    public String asString()

Returns:
  Character as string.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019